<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Quests/Scripts/4_world/dayzexpansion_quests/entities/itembase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/dfe/a08589_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">itembase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/dfe/a08589.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ItemBase.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>modded <span class="keyword">class </span><a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a542e3579262a58b860105f9adac29d83">   15</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d1/df9/a03665.html#a542e3579262a58b860105f9adac29d83">m_Expansion_IsQuestItem</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#acfee53d7ba49c3b997e4b217a0bdc093">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/df9/a03665.html#acfee53d7ba49c3b997e4b217a0bdc093">ItemBase</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        RegisterNetSyncVariableBool(<span class="stringliteral">&quot;m_Expansion_IsQuestItem&quot;</span>);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#ade90f12ebfd81cf97a382eaf27b9bd4d">   22</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/df9/a03665.html#ade90f12ebfd81cf97a382eaf27b9bd4d">IsQuestItem</a>()</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d1/df9/a03665.html#a542e3579262a58b860105f9adac29d83">m_Expansion_IsQuestItem</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a0ce2b9cc1f772e902cfa0f200c086c6c">   27</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/df9/a03665.html#a0ce2b9cc1f772e902cfa0f200c086c6c">SetIsQuestItem</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_variable" href="../../d1/df9/a03665.html#a542e3579262a58b860105f9adac29d83">m_Expansion_IsQuestItem</a> = state;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="preprocessor">    #ifdef EXPANSION_MODSTORAGE</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> CF_OnStoreSave(CF_ModStorageMap storage)</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {<span class="comment"></span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment">        //! Queue world quest items for deletion on next server start</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="comment"></span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d1/df9/a03665.html#a542e3579262a58b860105f9adac29d83">m_Expansion_IsQuestItem</a> &amp;&amp; !<a class="code hl_variable" href="../../d1/df9/a03665.html#a47fa99a479f8649520fe5f523ce07146">m_Expansion_IsStoreSaved</a> &amp;&amp; !GetHierarchyParent())</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <a class="code hl_function" href="../../d1/df9/a03665.html#a1e9c24a1abc11d321eb62a06b9535541">Expansion_QueueEntityActions</a>(<a class="code hl_class" href="../../dc/d39/a04529.html">ExpansionItemBaseModule</a>.<a class="code hl_variable" href="../../dc/d39/a04529.html#ad2a44be897cefd5085f04297fb5c6c69">DELETE</a>);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        super.CF_OnStoreSave(storage);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>};</div>
<div class="ttc" id="aa03665_html"><div class="ttname"><a href="../../d1/df9/a03665.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc3/a00284_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03665_html_a0ce2b9cc1f772e902cfa0f200c086c6c"><div class="ttname"><a href="../../d1/df9/a03665.html#a0ce2b9cc1f772e902cfa0f200c086c6c">ItemBase::SetIsQuestItem</a></div><div class="ttdeci">void SetIsQuestItem(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dfe/a08589_source.html#l00027">itembase.c:27</a></div></div>
<div class="ttc" id="aa03665_html_a1e9c24a1abc11d321eb62a06b9535541"><div class="ttname"><a href="../../d1/df9/a03665.html#a1e9c24a1abc11d321eb62a06b9535541">ItemBase::Expansion_QueueEntityActions</a></div><div class="ttdeci">void Expansion_QueueEntityActions(int actions)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d14/a08580_source.html#l01125">itembase.c:1125</a></div></div>
<div class="ttc" id="aa03665_html_a47fa99a479f8649520fe5f523ce07146"><div class="ttname"><a href="../../d1/df9/a03665.html#a47fa99a479f8649520fe5f523ce07146">ItemBase::m_Expansion_IsStoreSaved</a></div><div class="ttdeci">protected bool m_Expansion_IsStoreSaved</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d14/a08580_source.html#l00029">itembase.c:29</a></div></div>
<div class="ttc" id="aa03665_html_a542e3579262a58b860105f9adac29d83"><div class="ttname"><a href="../../d1/df9/a03665.html#a542e3579262a58b860105f9adac29d83">ItemBase::m_Expansion_IsQuestItem</a></div><div class="ttdeci">protected bool m_Expansion_IsQuestItem</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dfe/a08589_source.html#l00015">itembase.c:15</a></div></div>
<div class="ttc" id="aa03665_html_acfee53d7ba49c3b997e4b217a0bdc093"><div class="ttname"><a href="../../d1/df9/a03665.html#acfee53d7ba49c3b997e4b217a0bdc093">ItemBase::ItemBase</a></div><div class="ttdeci">void ItemBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dfe/a08589_source.html#l00017">itembase.c:17</a></div></div>
<div class="ttc" id="aa03665_html_ade90f12ebfd81cf97a382eaf27b9bd4d"><div class="ttname"><a href="../../d1/df9/a03665.html#ade90f12ebfd81cf97a382eaf27b9bd4d">ItemBase::IsQuestItem</a></div><div class="ttdeci">bool IsQuestItem()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dfe/a08589_source.html#l00022">itembase.c:22</a></div></div>
<div class="ttc" id="aa04529_html"><div class="ttname"><a href="../../dc/d39/a04529.html">ExpansionItemBaseModule</a></div><div class="ttdoc">This module provides misc functionality like playing sound for near players at item's location,...</div><div class="ttdef"><b>Definition:</b> <a href="../../de/def/a01016_source.html#l00019">expansionitembasemodule.c:20</a></div></div>
<div class="ttc" id="aa04529_html_ad2a44be897cefd5085f04297fb5c6c69"><div class="ttname"><a href="../../dc/d39/a04529.html#ad2a44be897cefd5085f04297fb5c6c69">ExpansionItemBaseModule::DELETE</a></div><div class="ttdeci">static const int DELETE</div><div class="ttdef"><b>Definition:</b> <a href="../../de/def/a01016_source.html#l00022">expansionitembasemodule.c:22</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_1aeb20201abd12b8e4cbe340a915686e.html">Quests</a></li><li class="navelem"><a class="el" href="../../dir_29e5a841f4af4b583623a745e009ef31.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_6229eaf44b730d10fc037c21be0cc9d2.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_41bb0a1ba7a249856ef624b7024ff764.html">dayzexpansion_quests</a></li><li class="navelem"><a class="el" href="../../dir_1b517365c0e176acd0c5d539074deded.html">entities</a></li><li class="navelem"><a class="el" href="../../df/dfe/a08589.html">itembase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
